package entity

import (
	"time"
)

var (
	NOT_TESTED = 0
	TESTING    = 1
	TESTED     = 2
	TIMEOUT    = 3
)

// 考试记录管理
type ExamRecord struct {
	Id       int        `json:"id,omitempty" db:"id,omitempty"`
	CreateAt time.Time  `json:"create_at,omitempty" db:"create_at,omitempty"`
	UpdateAt time.Time  `json:"update_at,omitempty" db:"update_at,omitempty"`
	DeleteAt *time.Time `json:"-" db:"delete_at,omitempty"`
	Score    *int       `json:"score,omitempty" db:"score,omitempty"`
	UserId   int        `json:"user_id,omitempty" db:"user_id,omitempty"`
	ExamId   int        `json:"exam_id,omitempty" db:"exam_id,omitempty"`
	Answer   *string    `json:"answer,omitempty" db:"answer,omitempty"`
	// 记录考试状态,防止用户恶意修改考试记录
	Token string `json:"token,omitempty" db:"token,omitempty"`
	Ip    string `json:"ip,omitempty" db:"ip,omitempty"`
	// 0未考试 1已考试 2超时未交卷
	Status *int `json:"status,omitempty" db:"status,omitempty"`
}
